if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vStampaEstrattoContoClienti]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vStampaEstrattoContoClienti]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[vStampaEstrattoContoClienti]
AS
SELECT     dbo.vEdicola.IDSoggetto, dbo.vEdicola.RagioneSociale, dbo.vEdicola.Citta, dbo.vEdicola.Prov, dbo.vEdicola.Cap, dbo.vEdicola.Telefono, 
                      dbo.vEdicola.Codicefiscale, dbo.vEdicola.PartitaIVA, dbo.vEdicola.Indirizzo, dbo.Soggetti.RagioneSociale AS RagioneSocialeCli, 
                      dbo.Soggetti.Citta AS CittaCli, dbo.Soggetti.Prov AS ProvCli, dbo.Soggetti.Cap AS CapCli, dbo.Soggetti.Telefono AS TelefonoCli, 
                      dbo.Soggetti.Indirizzo AS IndirizzoCli, dbo.Soggetti.PartitaIVA AS PartitaIVACli, dbo.Soggetti.Codicefiscale AS CodicefiscaleCli, dbo.Documenti.Numero, 
                      dbo.Documenti.TotaleBolla, dbo.Documenti.Data AS DataRC, dbo.DocumentiRighe.Qta, dbo.DocumentiRighe.PrezzoNetto, dbo.DocumentiRighe.IVA, 
                      dbo.DocumentiRighe.PrezzoCopertina, dbo.TipiDocumento.Descrizione, dbo.Documenti.IDFornitore AS Fornitore, 
                      dbo.DocumentiRighe.Descrizione AS Titolo
FROM         dbo.Soggetti INNER JOIN
                      dbo.DocumentiRighe INNER JOIN
                      dbo.Documenti ON dbo.DocumentiRighe.IDDocumento = dbo.Documenti.IDDocumento INNER JOIN
                      dbo.Uscite ON dbo.DocumentiRighe.IDUscita = dbo.Uscite.IDUscita INNER JOIN
                      dbo.Prodotti ON dbo.Uscite.IDProd = dbo.Prodotti.IDProd INNER JOIN
                      dbo.TipiDocumento ON dbo.Documenti.IDTipoDocumento = dbo.TipiDocumento.IDTipoDocumento ON 
                      dbo.Soggetti.IDSoggetto = dbo.Documenti.IDFornitore CROSS JOIN
                      dbo.vEdicola
WHERE     (dbo.Documenti.IDTipoDocumento = 9) OR
                      (dbo.Documenti.IDTipoDocumento = 7) OR
                      (dbo.Documenti.IDTipoDocumento = 8)

GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[7] 4[55] 2[21] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = -192
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Soggetti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 114
               Right = 215
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "DocumentiRighe"
            Begin Extent = 
               Top = 6
               Left = 253
               Bottom = 114
               Right = 469
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Documenti"
            Begin Extent = 
               Top = 114
               Left = 38
               Bottom = 222
               Right = 224
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 110
               Left = 551
               Bottom = 218
               Right = 788
            End
            DisplayFlags = 280
            TopColumn = 2
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 114
               Left = 262
               Bottom = 222
               Right = 456
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipiDocumento"
            Begin Extent = 
               Top = 330
               Left = 38
               Bottom = 438
               Right = 235
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 330
               Left = 273
               Bottom = 438
               Right = 450
            End
            ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaEstrattoContoClienti'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 10
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1980
         Alias = 3225
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaEstrattoContoClienti'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaEstrattoContoClienti'

